> ## Documentation Index
> Fetch the complete documentation index at: https://giftbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List brands

> Returns a list of reward brands available from Giftbit, including the
`brand_code` and an allowed price to include in your calls to `/campaign`,
`/direct_links`, or `/embedded`.

Some brands only allow certain fixed values, while others have an allowed range.
You can restrict the results list with any combination of price, currency, region, or search terms.

The results can be paged.




## OpenAPI

````yaml /api-reference/openapi.yaml get /brands
openapi: 3.1.0
info:
  title: Giftbit API
  version: v1
  description: >
    Giftbit's REST API lets you automatically order rewards and send them to
    your

    recipients. Delivery can be handled either by links that integrate into
    another

    system's workflow, or by emails sent through the Giftbit system.


    Authenticate every request with a bearer token in the `Authorization`
    header.

    Only an HTTP `200` means success; all non-`200` responses share a common
    error body.
  contact:
    name: Giftbit Support
    email: testbed@giftbit.com
    url: https://www.giftbit.com/api-documentation
servers:
  - url: https://api-testbed.giftbit.com/papi/v1
    description: Testbed
  - url: https://api.giftbit.com/papi/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Ping
    description: Test your authentication and check the health of the Giftbit API.
  - name: Brands
    description: List reward brands and retrieve extended information about a single brand.
  - name: Regions
    description: List the regions used to filter brands and request Full Catalog rewards.
  - name: Email Orders
    description: Order one or more rewards delivered to recipients by Giftbit email.
  - name: Shortlink Orders
    description: Order branded shortlink rewards that include a customized landing page.
  - name: Direct Link Orders
    description: >-
      Order minimally branded direct link rewards returned immediately in the
      response.
  - name: Embedded Rewards
    description: >-
      Order a single in-app reward for immediate delivery in your app or
      website.
  - name: Funds
    description: Retrieve your account balance and top it up with a credit card payment.
  - name: Rewards
    description: List, retrieve, resend, and cancel individual rewards.
paths:
  /brands:
    get:
      tags:
        - Brands
      summary: List brands
      description: >
        Returns a list of reward brands available from Giftbit, including the

        `brand_code` and an allowed price to include in your calls to
        `/campaign`,

        `/direct_links`, or `/embedded`.


        Some brands only allow certain fixed values, while others have an
        allowed range.

        You can restrict the results list with any combination of price,
        currency, region, or search terms.


        The results can be paged.
      operationId: list-brands
      parameters:
        - name: region
          in: query
          required: false
          description: >-
            Limits results to brands available in the provided region `id`, as
            returned from `/regions`.
          schema:
            type: integer
        - name: max_price_in_cents
          in: query
          required: false
          description: >-
            Limits results to brands that have an available reward option less
            than or equal to this value.
          schema:
            type: integer
        - name: min_price_in_cents
          in: query
          required: false
          description: >-
            Limits results to brands that have an available reward option
            greater than or equal to this value.
          schema:
            type: integer
        - name: currencyisocode
          in: query
          required: false
          description: >-
            Limits results to brands that have an available reward matching the
            provided currency.
          schema:
            type: string
            enum:
              - CAD
              - USD
              - AUD
        - name: search
          in: query
          required: false
          description: >-
            Limits results to brands containing the search term in their name,
            description, or other fields.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Limits the number of results. Default 20.
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          required: false
          description: Offsets the results. Used for paging. Default 0.
          schema:
            type: integer
            default: 0
        - name: embeddable
          in: query
          required: false
          description: >-
            If `true`, brands that cannot be used for in-app delivery via
            `/embedded` are omitted.
          schema:
            type: boolean
      responses:
        '200':
          description: A list of brands has been retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  brands:
                    type: array
                    items:
                      $ref: '#/components/schemas/Brand'
                  info:
                    $ref: '#/components/schemas/Info'
                  number_of_results:
                    type: integer
                  limit:
                    type: integer
                  offset:
                    type: integer
                  total_count:
                    type: integer
              example:
                brands:
                  - brand_code: AMZNCOM
                    name: Amazon.com
                    image_url: >-
                      https://uploadedimages.giftbit.com/550/amazon-30ec8f7a-616a-46aa-aa3f-cafbca10bddc.jpg
                    disclaimer: >-
                      Amazon.com Gift Cards ("GCs") sold by Giftbit Inc., an
                      authorized and independent reseller of Amazon.com Gift
                      Cards.
                  - brand_code: WHOLEFOODS
                    name: Whole Foods Market
                    image_url: >-
                      https://uploadedimages.giftbit.com/wholefoods/wholefoodsgiftbit-f629cfa4-c7f1-4c6f-9a67-f8ee144b8db7.png
                number_of_results: 2
                info:
                  code: INFO_BRANDS_RETRIEVED
                  name: Brand(s) Retrieved
                  message: A list of brands or single brand has been retrieved
                limit: 20
                offset: 0
                total_count: 2
components:
  schemas:
    Brand:
      type: object
      properties:
        brand_code:
          type: string
          description: A unique alphanumeric identifier for the brand.
        name:
          type: string
        disclaimer:
          type: string
          description: >-
            Disclaimer text that must appear along with the brand when
            displayed. Omitted if none.
        image_url:
          type: string
          description: A full, secure (https) URL to the brand's image.
    Info:
      type: object
      description: Status information returned on successful requests.
      properties:
        code:
          type: string
          description: An enum-style status code for the request.
        name:
          type: string
          description: Human-readable status name.
        message:
          type: string
          description: Request-context-specific message.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Send your API token prefixed by `Bearer ` in the `Authorization` header.

````